Name:           latexmk
Version:        3.08n
Release:        4%{?dist}
Summary:        A make-like utility for LaTeX files

Group:          Applications/Publishing
License:        GPL
URL:            http://www.phys.psu.edu/~collins/software/latexmk-jcc/
Source0:        http://www.phys.psu.edu/~collins/software/latexmk-jcc/latexmk-308n.zip
Source1:        latexmk.conf
Source2:        latexmk-README.fedora
Patch0:         latexmk-perl.patch
Patch1:         latexmk-conf.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

# FC6 and earlier use tetex, FC7 and later use texlive, so require the binaries
Requires:       /usr/bin/latex, /usr/bin/bibtex, /usr/bin/makeindex
Requires:       ghostscript, xdg-utils

%description
Latexmk is a perl script for running LaTeX the correct number of times to
resolve cross references, etc.; it also runs auxiliary programs (bibtex,
makeindex if necessary, and dvips and/or a previewer as requested).  It has
a number of other useful capabilities, for example to start a previewer and
then run latex whenever the source files are updated, so that the previewer
gives an up-to-date view of the document.  The script runs on both UNIX and
MS-WINDOWS (95, ME, XP, etc).  This script is a corrected and improved
version of the original version of latexmk.

Before using a previewer, read the file README.fedora.

%prep
%setup -q -c
cp %{SOURCE2} README.fedora

# Remove the path searching facility; we know where the perl binary is located
%patch0

# Change the system-wide configuration file to /etc/latexmk.conf and fix
# the man page accordingly.
%patch1 -p1

# Get rid of the DOS batch files so we can %doc extra-scripts below
rm -f extra-scripts/*.bat

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m 0755 -p latexmk.pl $RPM_BUILD_ROOT%{_bindir}/latexmk
install -m 0644 -p latexmk.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 0644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/latexmk.conf
%doc CHANGES COPYING INSTALL README README.fedora extra-scripts

%changelog
* Tue Mar 27 2007 Jerry James <Jerry.James@usu.edu> - 3.08n-4
- Avoid tetex vs. texlive issues by Requiring the binaries.

* Tue Mar 20 2007 Jerry James <Jerry.James@usu.edu> - 3.08n-3
- Use xdg-open for the DVI and PostScript previewers also.
- Describe previewer configuration in README.fedora.

* Mon Mar 19 2007 Jerry James <Jerry.James@usu.edu> - 3.08n-2
- Use xdg-open instead of explicitly invoking evince.
- Package the extra-scripts directory as documentation.
- Fix a few other packaging infelicities as pointed out in Extras review.

* Tue Feb 27 2007 Jerry James <Jerry.James@usu.edu> - 3.08n-1
- Initial RPM
